Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.resources
Class LibraryResources

    java.lang.Object

      |

      +--java.util.ResourceBundle

            |

            +--java.util.ListResourceBundle

                  |

                  +--oracle.ifs.beans.resources.LibraryResources

public class LibraryResources
extends java.util.ListResourceBundle

LibraryResources is a localized collection of strings.

LibraryResources subclasses Java's ListResourceBundle. Refer to the JDK documentation on ListResourceBundles for more details on their use.

This is the primary ListResourceBundle used by the iFS repository. Additional ListResourceBundles are part of the product, which introduce additional error codes and localizable strings. Each of these bundles reserves a unique prefix and a bank of error codes. The current set of prefixes and error code banks are as follows: REPOS 10000-59999 The iFS repository WCP 60000-60999 The windows Client protocol client/server CLIENTS.WEBUI 62000-62999 The iFS Web-based Client CLIENTS.WINDOWS 64000-64999 The iFS Windows Client CLIENTS.OEM 66000-66999 Oracle Enterprise Manager Admin Client ADK 68000-68999 Application Development Kit modules FTP 70000-70999 The FTP protocol server SMB 72000-72999 The SMB protocol server EML 74000-74999 Email protocol servers (IMAP4, POP3, etc.) WSI 76000-76999 Web server interfaces NTFS 78000-78999 NT File System Driver INSTALL 80000-80999 iFS Installer

Method Summary
`java.lang.Object[][]` | `getContents()` Returns the library resources.

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Returns the library resources.
  Overrides:
    `getContents` in class `java.util.ListResourceBundle`
  Returns:
    an array of resource name/value pairs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD